*{
    margin: 0;
    padding: 0;
}

body {
    
    display: flex;
    justify-content: center;
    min-height: 100vh;
    background-color:cornflowerblue;
    font-family: roboto ;
}

.container{
    position: relative;
    display: grid;
    width: 1000px;
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));

}

.container .card{
    position:relative;
    display:flex;
    flex-direction: column;
    background-color:whitesmoke;
}

.container .card:nth-child(even){
    flex-direction: column-reverse;
}


.container .card .imgbox{
    position: relative;
    width: 250px;
    height: 250px;
}

.container .card .imgbox img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.container .card .content{
    position: relative;
    width: 250px;
    height: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.container .card .content p{
    margin: 15px;
    text-align: center;
}

@media (max-width:1000px){
    .container{
        grid-template-columns: repeat(auto-fit, minmax(100%));
        margin: 50px;
    }
    .container .card {
        flex-direction: row;
        margin: 10px 0;
    }
    .container .card:nth-child(even){
        flex-direction: row-reverse;
    }

    .container .card .imgbox .conteiner .card .content{
        width: 50%;
        
    }

    
}

@media (max-width: 600px){
    .container .card {
        flex-direction: column;
        margin: 10 px 0;
    }

    .container .card:nth-child(even){
        flex-direction: column;
    }

    .container .card .imgbox .conteiner 
    .card .content{
        width: 100%;
        
    }

    .container .card .content{
        height: 200px;
    }
    
}